# $Revision: 1.22 $, $Date: 2002/10/23 10:13:34 $
Summary:	GNU Common Lisp
Summary(pl):	GNU Common Lisp
Name:		gcl
Version:	2.4.3
Release:	1
License:	LGPL v2
Group:		Development/Languages
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tgz
Patch0:		%{name}-make.patch
Patch1:		%{name}-OPT.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-libgmp.patch
URL:		http://www.ma.utexas.edu/users/wfs/gcl.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	tk-devel
BuildRequires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:	%{ix86} sparc

%description
The GNU Common Lisp system, based on KCL.

%description -l pl
System GNU Common Lisp, bazujcy na KCL.

%package tk
Summary:	Tcl/tk bindings for GNU Common Lisp
Summary(pl):	Interfejs Tcl/tk do GNU Common Lisp
Group:		Development/Languages
Requires:	%{name} = %{version}

%description tk
Tcl/tk bindings for GNU Common Lisp.

%description tk -l pl
Intefejs Tcl/tk dla GNU Common Lisp.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
cp -f /usr/share/automake/config.* .
GCC="%{__cc}"; export GCC
# note: full path to xemacs must be passed
EMACS=/usr/bin/xemacs; export EMACS
%configure \
	--enable-notify=no

%{__make} OPTFLAGS="%{rpmcflags}" \
	EMACS_SITE_LISP=`xemacs -q -batch 2>&1 | sed -e /Loading/d `

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gcl/{cmpnew,unixport,lsp,gcl-tk} \
	$RPM_BUILD_ROOT{%{_infodir},%{_mandir}/man1,%{_bindir}} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

(cd info
rm -f *info*
makeinfo gcl-si.texi gcl-tk.texi
install gcl*info* $RPM_BUILD_ROOT%{_infodir})
install man/man1/gcl.1 $RPM_BUILD_ROOT%{_mandir}/man1

install unixport/saved_gcl $RPM_BUILD_ROOT%{_libdir}/gcl/unixport
install info/*info* $RPM_BUILD_ROOT%{_infodir}
install cmpnew/collectfn.o $RPM_BUILD_ROOT%{_libdir}/gcl/cmpnew
install lsp/{gprof.lsp,info.o,profile.lsp} $RPM_BUILD_ROOT%{_libdir}/gcl/lsp
install gcl-tk/{decode.tcl,gcl.tcl,gcltkaux,gcltksrv,tinfo.o,tkl.o} \
	$RPM_BUILD_ROOT%{_libdir}/gcl/gcl-tk

ln -sf %{_libdir}/gcl/unixport/saved_gcl $RPM_BUILD_ROOT%{_bindir}/gcl.exe

cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/gcl
#!/bin/sh
exec %{_libdir}/gcl/unixport/saved_gcl \
	-dir {_libdir}/gcl/unixport/ \
	-libdir %{_libdir}/gcl/ \
	-eval '(setq si::*allow-gzipped-file* t)' \
	"$@"
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/gcl-tk
#!/bin/sh
exec %{_libdir}/gcl/unixport/saved_gcl \
	-dir {_libdir}/gcl/unixport/ \
	-libdir %{_libdir}/gcl/ \
	-eval '(setq si::*allow-gzipped-file* t)' \
	-eval '(setq si::*tk-library* "%{_libdir}/tk8.3")' \
	"$@"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post tk
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun tk
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc readme faq ChangeLog
%attr(755,root,root) %{_bindir}/gcl
%attr(755,root,root) %{_bindir}/gcl.exe
%{_libdir}/gcl/cmpnew
%{_libdir}/gcl/lsp
%attr(755,root,root) %{_libdir}/gcl/unixport/saved_gcl
%{_infodir}/gcl-si.info*
%{_mandir}/man1/*

%files tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gcl-tk
%dir %{_libdir}/gcl/gcl-tk
%attr (755,root,root) %{_libdir}/gcl/gcl-tk/gcltkaux
%attr (755,root,root) %{_libdir}/gcl/gcl-tk/gcltksrv
%{_libdir}/gcl/gcl-tk/*.o
%{_libdir}/gcl/gcl-tk/*.tcl
%{_infodir}/gcl-tk.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gcl.spec,v $
Revision 1.22  2002/10/23 10:13:34  kloczek
- reverte last change.

Revision 1.21  2002/10/23 10:00:26  kloczek
- merge translations from TurboLinux.

Revision 1.20  2002/10/15 11:28:59  qboosh
- added workaround to allow build when emacs is installed, but emacs-leim not; STBR

Revision 1.19  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/09/03 10:31:30  marcus
- ExclusiveArch ix86 sparc (arch specific files for ppc and alpha not exist)

Revision 1.17  2002/08/04 12:44:03  kloczek
- use new %doc.

Revision 1.16  2002/06/22 23:04:06  kloczek
- upated to 2.4.3.

Revision 1.15  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:21:22  arturs
fixed a small typo

Revision 1.13  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.12  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/18 19:41:49  filon
- updated to 2.4.1
- upated info, make, libgmp patches

Revision 1.10  2002/02/13 20:35:40  filon
- cp -f /usr/share/automake/config.* is back, automake -a -c : don't work :-)

Revision 1.9  2002/02/13 16:31:43  kloczek
- spec adapterized,
- replace "cp -f %{_datadir}/automake/config.sub ." by "automake -a -c || :"
  in %build
- cosmetics.

Revision 1.8  2002/01/26 09:59:03  filon
- copy config.sub from automake dir (don't use automake -a -c, it doesn't use am)
- needed for athlon compatibility (inlcuded one doesn handle athlon)

Revision 1.7  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/23 23:02:02  filon
- added libgmp patch for dynamic linking to gmp library (and not build it)
- use autoconf (patch changes configure.in)
- added buildrequires
- release 3

Revision 1.5  2001/12/23 20:35:27  filon
- fixed what have beroken when making last changes

Revision 1.4  2001/12/23 09:06:44  filon
- fixed perms in files
- cosmetics
- release 2

Revision 1.3  2001/12/06 04:48:32  kloczek
- added info patch (added texinfof to BuildRequires),
- removed doc-html subpackage (we have one copy doc in info format),
- added gcl man page to main package,
- use xemacs for building elc files (instead emacs-leim).
TODO: add patches for using system installed gmp and mpi libraries.

Revision 1.2  2001/12/04 08:35:45  qboosh
- adapterized, fixed typos, removed bashism

Revision 1.1  2001/12/03 22:38:24  filon
- GNU Common Lisp package
- spec from scratch
- make and OPT patches for succesful building
- STBR
